GDBserver

Public Member Functions | Private Member Functions | Private Attributes | List of all members
execv_argv Class Reference

## Public Member Functions
| execv_argv (const char *exec_file, const std::string &allargs, const char *shell_file)
char ** | argv ()

## Private Member Functions
| DISABLE_COPY_AND_ASSIGN (execv_argv)
void | init_for_no_shell (const char *exec_file, const std::string &allargs)
void | init_for_shell (const char *exec_file, const std::string &allargs, const char *shell_file)

## Private Attributes
std::vector< const char * > | m_argv
std::string | m_storage

## Detailed Description

Definition at line 39 of file fork-inferior.c.

## Constructor & Destructor Documentation

## ◆ execv_argv()

execv_argv::execv_argv | ( | const char * | exec_file,
|  | const std::string & | allargs,
|  | const char * | shell_file
| ) |  |

Definition at line 166 of file fork-inferior.c.

References init_for_no_shell(), and init_for_shell().

## Member Function Documentation

## ◆ argv()

char** execv_argv::argv | ( |  | ) |
| inline

Definition at line 54 of file fork-inferior.c.

References m_argv.

Referenced by fork_inferior().

## ◆ DISABLE_COPY_AND_ASSIGN()

execv_argv::DISABLE_COPY_AND_ASSIGN | ( | execv_argv |  | ) |
| private

## ◆ init_for_no_shell()

void execv_argv::init_for_no_shell | ( | const char * | exec_file,
|  | const std::string & | allargs
| ) |  |
| private

Definition at line 96 of file fork-inferior.c.

References m_argv, m_storage, and string.

Referenced by execv_argv().

## ◆ init_for_shell()

void execv_argv::init_for_shell | ( | const char * | exec_file,
|  | const std::string & | allargs,
|  | const char * | shell_file
| ) |  |
| private

Definition at line 179 of file fork-inferior.c.

References escape_bang_in_quoted_argument(), get_exec_wrapper(), m_argv, m_storage, and string.

Referenced by execv_argv().

## Member Data Documentation

## ◆ m_argv

std::vector<const char *> execv_argv::m_argv
| private

Definition at line 78 of file fork-inferior.c.

Referenced by argv(), init_for_no_shell(), and init_for_shell().

## ◆ m_storage

std::string execv_argv::m_storage
| private

Definition at line 84 of file fork-inferior.c.

Referenced by init_for_no_shell(), and init_for_shell().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/fork-inferior.c